Oauth Client
The oauth client resource.
Basehttps://rest.carbon.ms/oauthClient
GET
/oauthClientList oauth clients
Retrieve a paginated list of oauth clients. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/oauthClient
curl --request GET \
--url 'https://rest.carbon.ms/oauthClient?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"clientId": "xyz789",
"clientSecret": "string",
"redirectUris": [],
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/oauthClientRetrieve a oauth client
Fetch a single oauth client by filtering on `id`.
Query parameters
idstringMatch on the oauth client's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/oauthClient
curl --request GET \
--url 'https://rest.carbon.ms/oauthClient?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"clientId": "xyz789",
"clientSecret": "string",
"redirectUris": [],
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/oauthClientCreate a oauth client
Create a new oauth client.
Body parameters
namestringrequiredclientIdstringrequiredclientSecretstringrequiredredirectUrisarrayrequiredcompanyIdstringrequiredPOSThttps://rest.carbon.ms/oauthClient
curl --request POST \
--url https://rest.carbon.ms/oauthClient \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","clientId":"xyz789","clientSecret":"string","redirectUris":[],"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"name": "Example",
"clientId": "xyz789",
"clientSecret": "string",
"redirectUris": [],
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/oauthClientUpdate a oauth client
Update an existing oauth client, matched on `id`.
Body parameters
namestringrequiredclientIdstringrequiredclientSecretstringrequiredredirectUrisarrayrequiredcompanyIdstringrequiredPATCHhttps://rest.carbon.ms/oauthClient
curl --request PATCH \
--url 'https://rest.carbon.ms/oauthClient?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"clientId": "xyz789",
"clientSecret": "string",
"redirectUris": [],
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/oauthClientDelete a oauth client
Delete a oauth client, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the oauth client to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/oauthClient
curl --request DELETE \
--url 'https://rest.carbon.ms/oauthClient?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content